
<div class="content-header" >
      <div class="container-fluid">
        <div class="row mb-2">
		 <div class="col-sm-6">
			<h1>
			Devolucion proveedor
			<small>modulo</small>
			</h1>
		</div>	
		
		<div class="col-sm-6">
            <ol class="breadcrumb float-sm-right">
				<li class="breadcrumb-item" >Inicio</li>
				<li class="breadcrumb-item" >Operaciónes</li>
				<li class="breadcrumb-item active">Devolucion proveedor</li>
            </ol>
          </div>
		</div>
	</div>
</div>
	

	
	<div class="modal fade" id="div_devolucionproveedor_formrel_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-md"  role="document" >
			<div class="modal-content">

			<div class="modal-body div_devolucionproveedor_formrel" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
	</div>
	
	<div class="modal fade" id="div_devolucionproveedor_form_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px;overflow-y:scroll;">
			<div class="modal-dialog modal-lg"    role="document" >
			<div class="modal-content">

			<div class="modal-body div_devolucionproveedor_form" style="padding:0%;" >

			</div>
			<br />
			<br />
			</div>
			</div>
	</div>
	
	<div class="modal " id="div_mensaje_dialog" role="dialog" data-keyboard="false" data-backdrop="static" tabindex="-1"  style="padding:0px; overflow-y:scroll;">
			<div class="modal-dialog modal-md"  role="document" >

			<div class="modal-content" style="padding:0px;">

			<div class="modal-body div_mensaje"  >

			
		
			
			</div>
			<br />
			<br />
			</div>
			</div>
	</div>		
			
			
	<!-- filtro de registro -->
	<div id="div_devolucion_filtro" ></div>
	<!-- lista de datos -->
	<div id="div_devolucion_tabla" ></div>


<script type="text/javascript">

	function devolucionproveedor_relacionar(act,idf,empid){
	
		$('#div_devolucionproveedor_formrel_dialog').modal();
		$('body').css('overflow-y','hidden');
			$.ajax({
				type: "POST",
				url: "../devolucionproveedor/devolucionproveedor_formrelacion.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					devid :idf,
					empid:empid
				}),
				beforeSend: function() {
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					$('.div_devolucionproveedor_formrel').html(div);
				},
				success: function(html){
					$('.div_devolucionproveedor_formrel').html(html);				
				}
			});
	
	}
		
		function devolucionproveedor_cancelar(act,idf,empid){
		
		if(confirm("Realmente desea cancelar la devolucion, se actualizará el stock. Desea continuar?")){
			$('#div_mensaje_dialog').modal();
			
			$.ajax({
	  		type: "POST",
	  		url: "../devolucionproveedor/devolucionproveedor_reg.php",
	  		async:true,
	  		dataType: "json",
	  		data: ({
				action : act,
				devid : idf,
				empid :empid
			}),
	  		beforeSend: function(){					 
	  			
				var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					$('.div_mensaje').html(div);
				
	  		},
	  		success: function(data){
				
				toastr["info"](data.dev_msj);
				
				$('.modal').modal('hide');
				$('.in').removeClass('modal-backdrop');	
	  		},
	  		complete: function(){
				
			devolucion_tabla();
			
			}
			});	 
		
		}		
	}
	
	function devolucionproveedor_formvista(act,idf){
		$('#div_devolucionproveedor_form_dialog').modal();
		$('body').css('overflow-y','hidden');
			$.ajax({
				type: "POST",
				url: "../devolucionproveedor/devolucionproveedor_formvista.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					devid :idf,
					vista:'compra_form'
				}),
				beforeSend: function() {
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					$('.div_devolucionproveedor_form').html(div);
				},
				success: function(html){
					$('.div_devolucionproveedor_form').html(html);				
				}
			});
	}
	
	
	function devolucion_form(act,idf){
		$('#div_devolucionproveedor_form_dialog').modal();
		
			$('body').css('overflow-y','hidden');
			
			$.ajax({
				type: "POST",
				url: "../devolucionproveedor/devolucionproveedor_form.php",
				async:true,
				dataType: "html",                      
				data: ({
					action: act,
					comid :idf,
					vista:'compra_form'
				}),
				beforeSend: function() {
					var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
					$('.div_devolucionproveedor_form').html(div);
				},
				success: function(html){
					$('.div_devolucionproveedor_form').html(html);				
				}
			});
	}

		

function devolucion_cartabla()
{
	$.ajax({
		type: "POST",
		url: '../devolucionproveedor/devolucionproveedor_cartabla.php',
		async:true,
		dataType: "html", 
		data: '',                    
		beforeSend: function() {
			
			$('#div_itemsadevol').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_itemsadevol').html(html);
		},
		complete: function(){			
			$('#div_itemsadevol').removeClass("ui-state-disabled");
		}
	});     
}
  
	
function agregar_producto(act,catid, marid, can, valuni,canc)
{
	
	$.ajax({
		type: "POST",
		url: "../devolucionproveedor/agregar_producto.php",
		async:true,
		dataType: "json",                  
		data: ({
			action:	 act,
			catid:	 catid,
			can: can,
			marid : marid ,
			valuni : valuni,
			canc:canc
		}),
		beforeSend: function() {

		},
		success: function(data){
		
			if(data.est==2)
			{
				
					toastr["success"]('Agregado correctamente.');	
			}else if(data.est==1){
				
					toastr["error"]('La cantidad no puede ser mayor a la cantidad comprada.');
			}
			
			
		},
		complete: function(data)
		{
			devolucion_cartabla();
 
		}
	});  
}

	
	
	
	
function devolucion_filtro()
{
	$.ajax({
		type: "POST",
		url: "../devolucionproveedor/devolucionproveedor_filtro.php",
		async:true,
		dataType: "html",                      
		//data: ({
			//producto: $('#txt_fil_pro').val()
		//}),
		beforeSend: function() {
			var div = "<center> <br> <span class='spinner-border spinner-border-lg mr-2'></span> <span style='font-size:1.5rem;'>PROCESANDO PETICIÓN</span></center>";	
				$('#div_devolucion_filtro').html(div);
		},
		success: function(html){
			$('#div_devolucion_filtro').html(html);
		},
		complete: function(){
		//	cuentasxpagar_tabla();
		}
	});
}

function devolucion_tabla()
{
	if($("#txt_dev_numdoc").val()!=""){
		url = '../devolucionproveedor/devolucionproveedor_tabla2.php';
	}else{
		url ='../devolucionproveedor/devolucionproveedor_tabla.php';
	}
	
	$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "html", 
		data: $("#for_fil_pro").serialize(),                    
		beforeSend: function() {
			
			$('#div_devolucion_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_devolucion_tabla').html(html);
		},
		complete: function(){			
			$('#div_devolucion_tabla').removeClass("ui-state-disabled");
		}
	});     
}


function ver_detalles(comid){
	$.ajax({
		type: "POST",
		url: "../devolucionproveedor/devolucionproveedor_tabladetalles.php",
		async:true,
		dataType: "html", 
		data: ({
			com_id:comid			
		}),                    
		beforeSend: function() {			
			$('#div_devolucion_tabla').addClass("ui-state-disabled");
		},
		success: function(html){
			$('#div_devolucion_tabla').html(html);
		},
		complete: function(){			
			$('#div_devolucion_tabla').removeClass("ui-state-disabled");
		}
	}); 
	
}













	
function guia_ticket_datos(id_guia){	
		
		
		$.ajax({
			type: "POST",
			url: "../guiaremision/guia_ticket_datos.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			guiaid: id_guia
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				 console.log(data); 
				
				if(data!=""){					
				//alert(data.guia_docAbr);
					if(data.guia_docAbr=="T" /* && data.cli_nom !='CLIENTE' */ ){
					generarGuia_xml(data,data.url_genguia,data.emp_ruc,data.guia_numdoc,id_guia,data.cliId);
					}
				}else{
					
				}
			}
		});
	
}
	
	
function generarGuia_xml(data,url,emp_ruc,guia_numdoc,guia_id,id_cli){
		$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: data,
		beforeSend: function()
		{
			
		},
		success: function(data){
				// alert(data.arc+' - '+emp_ruc+' - '+guia_numdoc+' - '+data.tipcom); 
		firmar(data.url,data.arc,emp_ruc,guia_numdoc,data.tipcom,guia_id,id_cli);
		}
	});

}
	
	
	
	
function firmar(url,arc,emp_ruc,guia_numdoc,tipcom,guia_id,id_cli){
		
		$.ajax({
		type: "POST",
		url: url,
		async:true,
		dataType: "json",                      
		data: ({
			arc : arc,
			emp_ruc : emp_ruc,
			ven_numdoc:guia_numdoc,
			tipcom:tipcom,
			venid:guia_id
		}),
		beforeSend: function()
		{
			
		},
		success: function(data){
			
	enviarSunatguia(data.xml_nom,data.fil_name_zip,data.fil_name_xml,data.filenom,guia_id,id_cli,tipcom,emp_ruc);
				/* traer_datos_doc(id_ven,data.fil_name_xml); */
		}
	});

}


function enviarSunatguia(nomxml,fil_name_zip,fil_name_xml,filenom,guia_id,id_cli,tipcom,emp_ruc){
	
	//alert(filenom);
	
		$.ajax({
		type: "POST",
		url: '../../docgeneracion/enviosunatguia.php',
		async:true,
		dataType: "json",                      
		data: ({
			nomxml:nomxml,
			name_zip:fil_name_zip,
			nomfile:filenom,
			guia_id:guia_id,
			xmlarchivo:fil_name_xml,
			tipcom:tipcom,
			emp_ruc:emp_ruc
		}),
		beforeSend: function()
		{
			toastr["info"]('Esperando respuesta de sunat');
		},
		success: function(data){
			if(data.est==1){
				//enviarCorreo(id_ven,id_cli);
				traer_datos_docguia(guia_id,fil_name_xml);
				generar_pdf_guia(guia_id);
				//venta_tabla();
			}else{
				toastr["error"]('El documento no se ha emitido.');
			}
			toastr["info"](data.msj);
			
		}
	});

}	


function traer_datos_docguia(guia_id,urlxml){
	
	$.ajax({
			type: "POST",
			url: "../guiaremision/guia_doc_datos.php",
			async:true,
			dataType: "json",                      
			data:({ 
			guia_id: guia_id,
			urlxml :urlxml
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				/* console.log(data); */
				
			guia_doc_impresion(data,data.imp_doc);

			/* if(data.cli_ema==""){
				
			}else{
				act ="enviar";
				enviarCorreo(data);
			}	 */	
			
			}
		});
	
}

function guia_doc_impresion(data,url){
	$.ajax({
			type: "POST",
			url: url,
			async:true,
			dataType: "json",                      
			data: data ,
			beforeSend: function() {
				console.log(data);
			},
			success: function(data){
				
				
			}
		});
}
	
	
	
		function generar_pdf_guia(guiaid){	
		
		
		$.ajax({
			type: "POST",
			url: "../guiaremision/guiaremision_generar_doc.php",
			async:true,
			dataType: "json",                      
			data: ({ 
			guiaid: guiaid
			}),
			beforeSend: function() {
				
			},
			success: function(data){
				
				}
		});
	
	}	


























	$(function() {

		$('#btn_actualizar').click(function() {
			$("#contenido").load("../devolucionproveedor/devolucionproveedor_vista.php");
		});

		$("#div_devolucionproveedor_form_dialog").on('hidden.bs.modal', function () {
		   	$('body').css('overflow-y','scroll');
		});
 
 
		devolucion_filtro();

		setTitle("DEVOLUCION PROVEEDOR - "+nombreEmpresa); 

	});

</script>  